Linux服务器快速安装SG11扩展满足网站主题加密需求

  • 目前搬瓦工IP被封非常多,建议使用Vultr,充5刀美5刀,按小时计费,IP随时换---点击注册送5刀
  • 老 左有看到网友购买的某款WordPress主题是域名授权和加密的,需要满足当前的服务器环境安装SG11扩展,SG11是php代码混淆加密一款组件,一般服务器配置环境中是没有安装的,因为大部分时候是用不到的。于是我们需要自己手动安装。在部分WEB环境中我们可以快速的用脚本工具启动安装,其实就是下载组件到对应目录然后在php.ini中修改配置即可。

    在这篇文章中,老 左看到这个网友是使用的宝塔面板,目前这款面板后台商店中是自带快速安装的,所以对于当前这个网友的需求是很好的满足。这里老 左(LAOZUO.ORG)帮助他安装且记录下来。

    Linux服务器快速安装SG11扩展满足网站主题加密需求

    看到这个同学当前有用到两个PHP运行,所以要先看下他当前要使用这款主题的网站是哪个PHP版本,看到他是PHP7.1,于是就要到对应PHP版本设置完成扩展的安装。

    Linux服务器快速安装SG11扩展满足网站主题加密需求

    完毕之后老 左检测到安装的那款加密主题是没有报错。这样可以顺利帮助这个同学解决问题。但是这里需要有一个问题,如果我们不是安装的宝塔面板,如果是其他WEB安装包如何解决SG11的安装呢?其实思路是一样的,我们可以将对应的扩展文件(我们自己去寻找),丢到对应的PHP扩展目录。

    /www/server/php/71/lib/php/extensions/

    然后在PHP.INI文件中引用即可。

    Linux服务器安装SG11

    这样,我们是不是可以解决SG11扩展的问题。

    未经允许不得转载:国外便宜VPS » Linux服务器快速安装SG11扩展满足网站主题加密需求

    赞 (0) 打赏

    觉得文章有用就打赏一下文章作者

    支付宝扫一扫打赏

    微信扫一扫打赏